<?php

namespace STM\Match\Referee;

use STM\StmFactory;

/**
 * Test class for MatchReferee.
 * Generated by PHPUnit on 2012-07-10 at 14:10:27.
 * @group match_referee
 */
class MatchRefereeTest extends \PHPUnit_Framework_TestCase {

    private $match;
    private $person;

    protected function setUp() {
        $this->match = StmFactory::find()->Match->findById (5);
        $this->person = StmFactory::find()->Person->findById(1);
    }

    public function testFind_match_referee() {
        if ($this->match && $this->person) {
            $match_referee = StmFactory::find()->MatchReferee->findById($this->match, $this->person);
            parent::assertTrue($match_referee == false || $match_referee instanceof MatchReferee);
        }
    }

    public function testFind_by_match() {
        $this->assert_find_method('match', 'findByMatch');
    }

    public function testFind_by_person() {
        $this->assert_find_method('person', 'findByPerson');
    }

    private function assert_find_method($attribute, $method) {
        if ($this->$attribute) {            
            $referees = StmFactory::find()->MatchReferee->$method($this->$attribute);
            parent::assertTrue(is_array($referees));
            foreach ($referees as $referee) {
                parent::assertInstanceOf('\STM\Match\Referee\MatchReferee', $referee);
            }
        }
    }

    public function testCreate() {
        parent::markTestSkipped('test in MatchRefereeValidatorTest');
    }

    public function testUpdate_person_position() {
        parent::markTestSkipped('test in MatchRefereeValidatorTest');
    }

    public function testDelete() {
        parent::markTestSkipped('only DB fail');
    }

}

?>
